using Podform3d.VirtualRhino.Presentation.Rest.Extensions;
using Podform3d.VirtualRhino.Core.Services;

namespace Podform3d.VirtualRhino.Presentation.Rest.Controllers;

[ApiController]
[Route("/RhinoController")]
public sealed class RhinoController : ControllerBase
{
  private readonly IRhinoService _rhinoService;


  public RhinoController(
    IRhinoService rhinoService
  )
  {
    _rhinoService = rhinoService;
  }

  [HttpGet]
  public async Task<ActionResult<string>> StartRhino()
  {
    return await _rhinoService
            .StartRhino()
            .OkOrError();
  }
}
