using Microsoft.Extensions.Diagnostics.HealthChecks;
using Podform3d.VirtualRhino.ServiceRhino.Extensions;

RhinoInside.Resolver.Initialize();
Console.WriteLine("RhinoInside resolver directory:  " + RhinoInside.Resolver.RhinoSystemDirectory);

var builder = WebApplication.CreateBuilder(args);

// Add services to the container.

builder.Services.AddControllers();
builder.Services.AddHealthChecks().AddCheck("Sample", () => HealthCheckResult.Healthy("A healthy result.")); ;
// Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
builder.Services.AddEndpointsApiExplorer();
builder.Services.AddSwaggerGen();

builder.Services.AddRhinoServices();

builder.WebHost.UseUrls("http://localhost:5000");

var app = builder.Build();

// Configure the HTTP request pipeline.
if (app.Environment.IsDevelopment())
{
  app.UseSwagger();
  app.UseSwaggerUI();
}

app.MapHealthChecks("MappedHealthCheck");

app.UseHttpsRedirection();

app.UseAuthorization();

app.MapControllers();

app.Run();
